---
title: <gradient>
slug: Web/CSS/gradient
tags:
  - CSS
  - CSS Data Type
  - CSS Images
  - Data Type
  - Graphics
  - Layout
  - Reference
---
<div>{{CSSRef}}</div>

<p>The <strong><code>&lt;gradient&gt;</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/CSS_Types">data type</a> is a special type of {{cssxref("&lt;image&gt;")}} that consists of a progressive transition between two or more colors.</p>

<div>{{EmbedInteractiveExample("pages/css/type-gradient.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<p>A CSS gradient has <a href="/en-US/docs/Web/CSS/image#no_intrinsic">no intrinsic dimensions</a>; i.e., it has no natural or preferred size, nor a preferred ratio. Its concrete size will match the size of the element to which it applies.</p>

<h2 id="Syntax">Syntax</h2>

<p>The <code>&lt;gradient&gt;</code> data type is defined with one of the function types listed below.</p>

<div id="linear-gradient">
<h4 id="Linear_gradient">Linear gradient</h4>

<p>Linear gradients transition colors progressively along an imaginary line. They are generated with the {{cssxref("linear-gradient", "linear-gradient()")}} function.</p>
</div>

<div id="radial-gradient">
<h4 id="Radial_gradient">Radial gradient</h4>

<p>Radial gradients transition colors progressively from a center point (origin). They are generated with the {{cssxref("radial-gradient", "radial-gradient()")}} function.</p>
</div>

<div id="repeating-gradient">
<h4 id="Repeating_gradient">Repeating gradient</h4>

<p>Repeating gradients duplicate a gradient as much as necessary to fill a given area. They are generated with the {{cssxref("repeating-linear-gradient", "repeating-linear-gradient()")}} and {{cssxref("repeating-radial-gradient", "repeating-radial-gradient()")}} functions.</p>
</div>

<div id="conic-gradient">
<h4 id="Conic_gradient">Conic gradient</h4>

<p>Conic gradients transition colors progressively <span>around a</span><span> circle</span>. They are generated with the {{cssxref("conic-gradient", "conic-gradient()")}} function.</p>
</div>

<h2 id="Interpolation">Interpolation</h2>

<p>As with any interpolation involving colors, gradients are calculated in the alpha-premultiplied color space. This prevents unexpected shades of gray from appearing when both the color and the opacity are changing. (Be aware that older browsers may not use this behavior when using the <a href="/en-US/docs/Web/CSS/color_value#transparent_keyword">transparent keyword</a>.)</p>

<h2 id="Examples">Examples</h2>

<h3 id="Linear_gradient_example">Linear gradient example</h3>

<p>A simple linear gradient.</p>

<div class="hidden">
<pre class="brush: html notranslate">&lt;div class="linear-gradient"&gt;Linear gradient&lt;/div&gt;
</pre>

<pre class="brush: css notranslate">div {
  width: 240px;
  height: 80px;
}</pre>
</div>

<pre class="brush: css notranslate">.linear-gradient {
  background: linear-gradient(to right,
      red, orange, yellow, green, blue, indigo, violet);
}</pre>

<p>{{EmbedLiveSample('Linear_gradient_example', 240, 80)}}</p>

<h3 id="Radial_gradient_example">Radial gradient example</h3>

<p>A simple radial gradient.</p>

<div class="hidden">
<pre class="brush: html notranslate">&lt;div class="radial-gradient"&gt;Radial gradient&lt;/div&gt;
</pre>

<pre class="brush: css notranslate">div {
  width: 240px;
  height: 80px;
}</pre>
</div>

<pre class="brush: css notranslate">.radial-gradient {
  background: radial-gradient(red, yellow, rgb(30, 144, 255));
}
</pre>

<p>{{EmbedLiveSample('Radial_gradient_example', 240, 80)}}</p>

<h3 id="Repeating_gradient_examples">Repeating gradient examples</h3>

<p>Simple repeating linear and radial gradient examples.</p>

<div class="hidden">
<pre class="brush: html notranslate">&lt;div class="linear-repeat"&gt;Repeating linear gradient&lt;/div&gt;
&lt;br&gt;
&lt;div class="radial-repeat"&gt;Repeating radial gradient&lt;/div&gt;
</pre>

<pre class="brush: css notranslate">div {
  width: 240px;
  height: 80px;
}</pre>
</div>

<pre class="brush: css notranslate">.linear-repeat {
  background: repeating-linear-gradient(to top left,
      lightpink, lightpink 5px, white 5px, white 10px);
}

.radial-repeat {
  background: repeating-radial-gradient(powderblue, powderblue 8px, white 8px, white 16px);
}</pre>

<p>{{EmbedLiveSample('Repeating_gradient_examples', 240, 180)}}</p>

<h3 id="Conic_gradient_example">Conic gradient example</h3>

<p>A simple conic gradient example. Note that this isn't supported widely across browser as of yet.</p>

<div class="hidden">
<pre class="brush: html notranslate">&lt;div class="conic-gradient"&gt;Conic gradient&lt;/div&gt;
</pre>

<pre class="brush: css notranslate">div {
  width: 200px;
  height: 200px;
}</pre>
</div>

<pre class="brush: css notranslate">.conic-gradient {
  background: conic-gradient(lightpink, white, powderblue);
}
</pre>

<p>{{EmbedLiveSample('Conic_gradient_example', 240, 200)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Images', '#gradients', '&lt;gradient&gt;')}}</td>
   <td>{{Spec2('CSS4 Images')}}</td>
   <td>Adds conic-gradient</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Images', '#gradients', '&lt;gradient&gt;')}}</td>
   <td>{{Spec2('CSS3 Images')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("css.types.image.gradient")}}</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/CSS_Images/Using_CSS_gradients">Using CSS gradients</a></li>
 <li>Gradient functions: {{cssxref("linear-gradient", "linear-gradient()")}}, {{cssxref("radial-gradient", "radial-gradient()")}}, {{cssxref("repeating-linear-gradient", "repeating-linear-gradient()")}}, {{cssxref("repeating-radial-gradient", "repeating-radial-gradient()")}}, {{cssxref("conic-gradient", "conic-gradient()")}}</li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Types">CSS Basic Data Types</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Values_and_Units">CSS Units and Values</a></li>
 <li><a href="/en-US/docs/Learn/CSS/Introduction_to_CSS/Values_and_units">Introduction to CSS: Values and Units</a></li>
</ul>
